searchNodes=[{"doc":"An abstract cache store. There are multiple cache store implementations, each having its own additional features. Some implementations may not support all methods beyond the basic cache methods of fetch, write, read, exist, and delete.","ref":"Simplecache.html","title":"Simplecache","type":"module"},{"doc":"Deletes an entry in the cache. Returns true if an entry is deleted. Options are passed to the underlying cache implementation. Examples iex&gt; Simplecache.delete(&quot;foo&quot;) true","ref":"Simplecache.html#delete/2","title":"Simplecache.delete/2","type":"function"},{"doc":"Returns true if the cache contains an entry for the given key. Options are passed to the underlying cache implementation. Examples iex&gt; Simplecache.exist(&quot;not_there&quot;) false iex&gt; Simplecache.write(&quot;there&quot;, &quot;it is&quot;) :ok iex&gt; Simplecache.exist(&quot;there&quot;) true","ref":"Simplecache.html#exist/2","title":"Simplecache.exist/2","type":"function"},{"doc":"Fetches data from the cache, using the given key. If there is data in the cache with the given key, then that data is returned. Given function will be executed in the event of a cache miss. The return value of the function will be written to the cache under the given cache key, and that return value will be returned. Examples iex&gt; Simplecache.fetch(&quot;foo&quot;, fn -&gt; &quot;bar&quot; end) &quot;bar&quot; iex&gt; Simplecache.fetch(&quot;foo&quot;, fn -&gt; &quot;bar2&quot; end) &quot;bar&quot;","ref":"Simplecache.html#fetch/2","title":"Simplecache.fetch/2","type":"function"},{"doc":"Fetches the value for the given key from the cache. Examples iex&gt; Simplecache.read(&quot;test&quot;) nil","ref":"Simplecache.html#read/1","title":"Simplecache.read/1","type":"function"},{"doc":"Writes the value to the cache, with the key. Options are passed to the underlying cache implementation. Examples iex&gt; Simplecache.write(&quot;foo&quot;, &quot;bar&quot;) :ok","ref":"Simplecache.html#write/3","title":"Simplecache.write/3","type":"function"},{"doc":"","ref":"Simplecache.StoreMemory.html","title":"Simplecache.StoreMemory","type":"module"},{"doc":"","ref":"Simplecache.StoreNone.html","title":"Simplecache.StoreNone","type":"module"},{"doc":"A simple Redis wrapper for caching.","ref":"Simplecache.StoreRedis.html","title":"Simplecache.StoreRedis","type":"module"},{"doc":"Fetches the value for the given key from the cache. Note that a prefix (&quot;simplecache&quot;) is appended to the key, i.e. the actual key in redis will be simplecache &lt;&gt; &quot;_&quot; &lt;&gt; key Returns {:ok, response} {:error, _error} Examples iex&gt; Simplecache.StoreRedis.read(&quot;my_key&quot;) {:ok, &quot;my_value&quot;} iex&gt; Simplecache.StoreRedis.read(&quot;unset_key&quot;) {:ok, nil} iex&gt; Simplecache.StoreRedis.read(&quot;unset_key&quot;) {:error, error}","ref":"Simplecache.StoreRedis.html#read/1","title":"Simplecache.StoreRedis.read/1","type":"function"},{"doc":"Caches the given key-value pair Note that a prefix (&quot;simplecache&quot;) is appended to the key, i.e. the actual key in redis will be simplecache &lt;&gt; &quot;_&quot; &lt;&gt; key Returns {:ok, &quot;OK&quot;} {:error, _error} Options :ttl_seconds (positive integer) - the entry will be set to expire after the given number of seconds. If unset the entry will have no expiry. Examples iex&gt; Simplecache.StoreRedis.write(&quot;my_key&quot;, &quot;my_value&quot;) {:ok, &quot;OK&quot;} # Set with a TTL of 1 hour iex&gt; Simplecache.StoreRedis.write(&quot;my_key&quot;, &quot;my_value&quot;, ttl_seconds: 3600) {:ok, &quot;OK&quot;}","ref":"Simplecache.StoreRedis.html#write/3","title":"Simplecache.StoreRedis.write/3","type":"function"}]